<template>
  <div class="navbar">
    <div class="container">
      <div>
        <img
          :src="logo"
          alt="Logo do Instituto Holístico"
          class="logo"
        >
      </div>
      <div>
        {{ $route.name }}
      </div>
      <div>
        <a-dropdown
          :trigger="['click']"
          placement="bottomRight"
          class="menu"
        >
          <!-- Botão -->
          <a-button>
            <a-icon type="bars" />
          </a-button>

          <!-- Itens do menu -->
          <a-menu slot="overlay">
            <a-menu-item
              v-for="(view, i) in views"
              :key="i"
              :class="`${$route.name === view.name ? 'active' : ''}`"
              @click="navigateTo(view.path)"
            >
              {{ view.name }}
            </a-menu-item>

            <a-menu-divider />

            <a-menu-item
              :class="`${$route.name === 'Documentação' ? 'active' : ''}`"
              @click="navigateTo('/ajuda')"
            >
              Ajuda
            </a-menu-item>

            <a-menu-divider />

            <a-menu-item
              @click="logout()"
            >
              Sair do sistema
            </a-menu-item>
          </a-menu>
        </a-dropdown>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'TheNavbar',
  data() {
    return {
      views: [],
      logo: '',
    };
  },
  async created() {
    const hideRoutes = ['Login', 'Documentação'];
    this.$router.options.routes.forEach((route) => {
      if (route.name && (!hideRoutes.includes(route.name))) {
        this.views.push({
          name: route.name,
          path: route.path.split('/:id?').shift(),
        });
      }
    });

    const fetch = await this.$http.get('/headers');
    this.logo = fetch.data[0].logo;
  },
  methods: {
    ...mapActions('auth', [
      'logout',
    ]),
    navigateTo(path) {
      this.$router.push(`${path}`);
    },
  },
};
</script>

<style lang="stylus" scoped>
.navbar
  width 100%
  border-bottom 0.1rem solid var(--color-gray)
  display flex
  align-items center
  justify-content center
  height 6.5rem

.container
  max-width var(--width-page)
  width 100%
  display flex
  align-items center
  justify-content space-between

.logo
  height 5rem
  margin-left 4rem

.menu
  margin-right 4rem

.active
  background-color #1890ff
  color var(--color-white)
</style>
